org.eclipse.remote.core.launch

## Interface IRemoteLaunchConfigService

    public interface IRemoteLaunchConfigService

Manages and persists the mapping between launch configurations and remote connections that they run on. Each launch configuration has an active remote connection.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IRemoteConnection` `getActiveConnection(org.eclipse.debug.core.ILaunchConfiguration launchConfig)` Gets the active remote connection for the given launch configuration
`IRemoteConnection` `getLastActiveConnection(org.eclipse.debug.core.ILaunchConfigurationType launchConfigType)` For a given launch configuration type, get the remote connection that was last used by a launch configuration of that type.
`void` `setActiveConnection(org.eclipse.debug.core.ILaunchConfiguration launchConfig, IRemoteConnection connection)` Sets the active remote connection for the given launch configuration.

### Method Detail

#### setActiveConnection

    void setActiveConnection(org.eclipse.debug.core.ILaunchConfiguration launchConfig,
                             IRemoteConnection connection)

Sets the active remote connection for the given launch configuration.

Parameters:
  `launchConfig` - launch configuration
  `connection` - active remote connection

#### getActiveConnection

    IRemoteConnection getActiveConnection(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

Gets the active remote connection for the given launch configuration

Parameters:
  `launchConfig` - launch configuration
Returns:
  active remote connection

#### getLastActiveConnection

    IRemoteConnection getLastActiveConnection(org.eclipse.debug.core.ILaunchConfigurationType launchConfigType)

For a given launch configuration type, get the remote connection that was last used by a launch configuration of that type. This is used for new launch configurations with the assumption that the user will want to use the same remote connection.

Parameters:
  `launchConfigType` - launch configuration type
Returns:
  last active remote configuration